/* SetThreadAbsolutePriority
** Allows the caller to set a thread's priority
** to any value in the real-time priority range.
**
** Author: Jeff Claar
*/

#ifndef __PRIORITY_H__
#define __PRIORITY_H__

typedef LONG KPRIORITY;

/*
** SetThreadAbsolutePriority
**    Input
**       hThread -   Thread for which priority
**                   is to be changed.
**       priority -  New priority
**                   (Can range from 16 to 31.)
**    Return
**       Non-zero if successful.
**       FALSE if failed. Check GetLastError() for
**          extended error information.
*/
BOOL SetThreadAbsolutePriority(
    HANDLE hThread,
    KPRIORITY priority);

#endif