#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include <string.h>

#include "..\ndisioct.h"

int main(int argc, char *argv[])
{                               // main
    HANDLE     hDevice;
    DWORD      cbBytesReturned;
    DWORD      dwErrorCode;
    char       *pszMiniportName =  "\\\\.\\MPORT_D1";
    char       abMacAddr[6];
    int        i;
           
    hDevice = CreateFile(pszMiniportName, 0, 0, NULL, 0,
        0, NULL);
    if (hDevice == INVALID_HANDLE_VALUE)
    {
      printf("Create failed\n");
      return 1;
    }          

    if (DeviceIoControl(hDevice, NDISIOCTL_GET_MACADDRESS, 
                       NULL, 0, abMacAddr, sizeof(abMacAddr), 
                       &cbBytesReturned, NULL))
    {
       printf("GetMacAddr addr=%x.%x.%x.%x.%x.%x\n", 
               abMacAddr[0], abMacAddr[1], abMacAddr[2],
               abMacAddr[3], abMacAddr[4], abMacAddr[5] );
    }
    else
    {
      printf("GetMacAddr failed err=%d\n", GetLastError() );
    }
    
    for (i=0; i < 6; i++)
      abMacAddr[i] = i+1;

    if (DeviceIoControl(hDevice, NDISIOCTL_SET_MACADDRESS, 
                       abMacAddr, sizeof(abMacAddr), NULL, 0, 
                       &cbBytesReturned, NULL))
    {
       printf("SetMacAddr succeeded\n");
    }
    else
    {
      printf("SetMacAddr failed err=%d\n", GetLastError() );
    }
    
    if (DeviceIoControl(hDevice, NDISIOCTL_GET_MACADDRESS, 
                       NULL, 0, abMacAddr, sizeof(abMacAddr), 
                       &cbBytesReturned, NULL))
    {
       printf("GetMacAddr addr=%x.%x.%x.%x.%x.%x\n", 
               abMacAddr[0], abMacAddr[1], abMacAddr[2],
               abMacAddr[3], abMacAddr[4], abMacAddr[5] );
    }
    else
    {
      printf("GetMacAddr failed err=%d\n", GetLastError() );
    }
    
    CloseHandle(hDevice);
    return 0;
}                           

